@import url(https://fonts.googleapis.com/css?family=Roboto);

html, body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif;

}

body.wait, body.wait *{
  cursor: wait !important;   
}

h1 {
  font-weight: 200;
  font-size: 28px !important;
  padding-top: 2vh;
}
h1.card{
  font-weight: 200;
  font-size: 28px !important;
  padding-top: 0px;
}
button:hover:enabled{
  cursor: pointer;
  filter: brightness(97%);

}

#output {
  padding: 20px;
  text-align: center;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: baseline;
  position: relative;
  width: 100vw;
  min-height: 100vw;
  height: auto;
}

.page-header-container {
  flex: 1;
  text-align: right;
  height: 8vh;
  width: 100%;
  position: fixed;
  display: flex;
  justify-content: center;
  align-items:center;
  flex-direction: row;
  overflow-y: hidden;
  padding-top: 5px;
  background-color: #f1f1f1;
  /*To fix prolem with layering in diff-view*/
  z-index: 10;
}

.page-header-container ul {
  overflow: hidden;
  display: flex;
  justify-content: center;
  gap: 20px;
  align-items: baseline;
  flex-direction: row;
  background-color: #f1f1f1;
  list-style-type: none;
  padding: 0;
  width: 100%;
  text-align: right;
  
}


.page-header-container button {
  width: 100%;
}
#logOutButton{
  width: 15%;
}

#namelist li {
  margin: 5px;
  padding-top: 10px;
}

.container-body {
 /* margin-top: 50px;*/
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: baseline;
  margin-top: 8vh;
  width: 100%;
  min-height: 94vh;
  height: auto;
  position: relative;
/*  overflow-x:hidden;
    Removed this because it prevented us from recording 
    scrolling distance in window. Should be reaserched 
    and fixed if this gives any errors.
*/}

.file-name {
  width: 80vw;
  justify-content: center;
  margin: 10px;
  text-align: center;
  align-items: center;
}

.file-content {
  max-width: 60vw;
}

.file-content textarea {
  max-width: 60vw;
  width: inherit;
  resize: none;
  overflow: scroll;
  outline: none;
}


button {
  background-color: rgb(212, 233, 252);
  border: 2px;
  border-color: black;
  border-radius: 4px;
  padding: 2vh 3vh;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin-bottom: 5px;
}

.exitReplay {
  z-index : 4;
}
#replayType{
  font-size:15px;
  width:auto;
}

.cancel-button {
  background-color: lightgrey;
  border: 2px;
  border-color: black;
  border-radius: 4px;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}

.pur {
  display:block;
  background-origin: border-box;
  cursor: pointer;
  padding: 10px;
  width: inherit;

} 

.pur.file:hover {
  background-color: aliceblue;
}

.flex-container {
  display: flex;
  align-items: baseline;
  height: auto;
}

/* Diff veiw */

.card {
  background: #fff;
  border: 1px solid #ccc;

  border-radius: 3px;
  
  padding: 1rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
  
}

.patch-div{
  border-right: 1px solid #ccc;
  border-left: 1px solid #ccc;

  padding-top: 1rem;
  padding-bottom: 1rem;
  background: #fff;

}

.top-patch-div{
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-top: 1px solid #ccc;
}

.bottom-patch-div{
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom: 1px solid #ccc;
}

.card .patch-div  {
  background: #fff;

  
  border-top: 2px solid #ccc;
  border-bottom: 2px solid #ccc;
  padding: 0px;

  margin-top: 1rem;
  margin-bottom: 1rem;

}


.card .card {
  flex: 1 0 0;
}



.row {
  display: flex;
  justify-content: space-between;
}

.relative {
  position: relative;
}

.comment-bubble-shown {
  position: absolute;
  top: -10px;
  right: -30px;
  cursor: pointer;
}

.comment-bubble-hidden {
  position: absolute;
  display: none;
}

.file-content-box{
  background: #fff;

  border-bottom: 1px solid #ccc;
  
  
  margin-top: 2rem;
  margin-bottom: 2rem;

}


.pull-request-bar{
  margin-right:-15px;
  margin-left:-15px; 

  
}
.file-label{
  padding: 5px;

  background-color: #f1f1f1;
  border: 1px solid #ccc;
}

.col {
  display: flex;
  flex: 1 0 0;
  flex-direction: column;
  justify-content: space-between;
  
}
.left:has(.deletion) {
  background-color: rgb(240, 240, 240);
}

.right:has(.addition) {
  background-color: rgb(240, 240, 240);
}
.right{
  border-right: 1px solid #ccc;
  border-left: 0.5px solid #ccc;
}

.left{
  border-left: 1px solid #ccc;
  border-right: 0.5px solid #ccc;

}

.system-generated del {
  visibility: hidden;
}

.system-generated ins {
  text-decoration: none;
}

.system-generated ins ~ del {
  display: none;
}

.box {
  width: 450px;
}

.def:hover ~ .def  {
  background-color: yellow;
  font-weight: bold;


}
.use:hover ~ .def  {
  background-color: yellow;
  font-weight: bold;


}

span.span {
  background-color: white;
  -webkit-transition: background-color 0.2s ease-out;
  -moz-transition: background-color 0.2s ease-out;
  -o-transition: background-color 0.2s ease-out;
  transition: background-color 0.2s ease-out;


}
.lineNbr{
  
  height: 100%;
  /*display: flex; */
  /* padding-right: 10px; */
  background-color: rgb(240, 240, 240);
  display: inline-block;
  border-right:1px solid #555;
  grid-row: span 2;

  
}
span.lineCode{
  display: flex;
  height: 100%;
  padding-left: 5px;
  flex-wrap: wrap;
}



.def:hover ~ .use {

  background-color: khaki;

}

.use:hover ~ .use {

  background-color: khaki;
}

.dropdown-label-div {
  margin-right: 0px;
}

/* Change log*/

#change-object{
	list-style: none;
  
}

#change-list{
  padding: 0px;

}


[contenteditable] {
  outline: 0px solid transparent;
}

.textarea {
  
  overflow: scroll;
}
/*
To change font size and line spacing look here
*/
pre { 
  /* padding-left: 5px; */
  display: grid;
  grid-template-columns: 45px auto;
  margin: 0px;
  white-space: break-spaces;
  font-size: 1.3em !important;
  line-height: 2;
  word-break: break-word;
}

/*
Make whitespace in diff look like it's grey
*/
[id*="whitespace"] {
  background-color: rgb(240, 240, 240);
}


.addition{
  background-color: rgba(96, 221, 96, 0.3);

}

.deletion{
  background-color: rgba(255, 0, 0, 0.3);

}

.diff-deletion{
  background-color: rgba(255, 0, 0, 0.5);

}

.diff-addition{
  background-color: rgba(96, 221, 96, 0.5);

}
[class*="show-more"] {

  padding: 5px;



  display:block;
  width: 100%;
  
  margin: 0px;
  border-radius: 0px;

 
  cursor: pointer;
  text-align: center;

  background-color: #f1f1f1;
  border: 1px solid #ccc;
  
}

/* Tooltip text */
pre .tooltip {
  /*visibility: hidden;*/ 
  width: 200px;
  background-color: #555;
  inherits: false;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;

  /* Position the tooltip text */
  position: absolute;
  z-index: 1;
  bottom: 500px;
  margin-left: -60px;

  -webkit-transition: none;
  -moz-transition: none;
  -o-transition: none;
  transition: none;
  /* Fade in tooltip 
  opacity: 0;
  transition: opacity 0.3s;*/
}

/* Tooltip arrow 
pre .tooltip::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}*/

/* Show the tooltip text when you mouse over the tooltip container 
pre:hover .tooltip {
  visibility: visible;
  opacity: 1;
}*/
[data-tooltip] {
  display: inline-block;
  position: relative;
  cursor: pointer;
}
/* Tooltip styling */
[data-tooltip]:before {
  content: attr(data-tooltip);
  display: none;
  position: absolute;
  background: #000;
  color: #fff;
  padding: 4px 8px;
  font-size: 12px;
  min-width: 150px;
  text-align: left;
  border-radius: 4px;
}
/* Dynamic horizontal centering */
[data-tooltip-position="top"]:before,
[data-tooltip-position="bottom"]:before {
  left: 50%;
  -ms-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
}
/* Dynamic vertical centering */
[data-tooltip-position="right"]:before,
[data-tooltip-position="left"]:before {
  top: 50%;
  -ms-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
}
[data-tooltip-position="top"]:before {
  bottom: 100%;
  margin-bottom: 6px;
}
[data-tooltip-position="right"]:before {
  left: 100%;
  margin-left: 6px;
}
[data-tooltip-position="bottom"]:before {
  top: 100%;
  margin-top: 6px;
}
[data-tooltip-position="left"]:before {
  right: 100%;
  margin-right: 6px;
}

/* Tooltip arrow styling/placement */
[data-tooltip]:after {
  content: '';
  display: none;
  position: absolute;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
}
/* Dynamic horizontal centering for the tooltip */
[data-tooltip-position="top"]:after,
[data-tooltip-position="bottom"]:after {
  left: 50%;
  margin-left: -6px;
}
/* Dynamic vertical centering for the tooltip */
[data-tooltip-position="right"]:after,
[data-tooltip-position="left"]:after {
  top: 50%;
  margin-top: -6px;
}
[data-tooltip-position="top"]:after {
  bottom: 100%;
  border-width: 6px 6px 0;
  border-top-color: #000;
}
[data-tooltip-position="right"]:after {
  left: 100%;
  border-width: 6px 6px 6px 0;
  border-right-color: #000;
}
[data-tooltip-position="bottom"]:after {
  top: 100%;
  border-width: 0 6px 6px;
  border-bottom-color: #000;
}
[data-tooltip-position="left"]:after {
  right: 100%;
  border-width: 6px 0 6px 6px;
  border-left-color: #000;
}
/* Show the tooltip when hovering */
[data-tooltip]:hover:before,
[data-tooltip]:hover:after {
  display: block;
  z-index: 50;
}

/* Pull requests*/

.pr-info-list{
  padding: 15px;
  width: 100%;
  margin-right: 0px;
}


#pull-request-view-card{
  width: 95%;
}

.pull-request-item{
  padding: 0px;
}

.pull-request-item :hover{
  cursor: pointer;
  background-color:  #f1f1f1;
}

.pull-request-state{
  border: 1px solid #ccc;

  border-radius: 8px;
  padding: 2px;

} 

.pr-title{
  font-weight: bold;
  margin-bottom: 0px;
  margin-top: 0px;
}

.pr-info{
  list-style-type: none;
  color: rgba(0, 0, 0, 0.7);
}
.assignedBox{
  position: relative;
  width:30%;
  left:70%;
  background-color: lavender;
  top:10%;
  border-radius: 25px;
  text-align: center;
}
#rewievPic{
  padding:10px;
}

.open{
  background-color: #108548;
}

.closed{
  background-color: red;
}

.merged{
  background-color: #1f75cb;
}

.panelLi{
  display: inline;
  margin: 3px;
}

#pull-request-panel{
  padding: 0px;
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  margin-top: 0px;

}

.approveform{
display: flex;
flex-direction: row;
justify-content: space-between;


}
#analysis-checkbox-form{
  width:100%;
  display: flex;
flex-direction: column;
}
.checkboxAnalysis{
  padding-right : 10px;
}
.replay-checkDiv{
  width:400px;
  height: 22px;
  display:flex;
  flex-direction: row;
}
.approvePRcheckbox{
  width:30px;
  padding-top:15px;
  padding-bottom:15px;
  padding-left:15px;
}
.checkboxlabel{
  padding-top:21px;
  padding-bottom:21px;
  padding-right:21px;
  width:30%;
  text-align: center;
  margin:0%;

  
 
}

#back-to-pull-request-overview-button {
  padding: 10px 10px;
}


.current-tab{
  text-decoration: underline !important;
}


/*Log in*/
.profile-picture{
  border-radius: 50%;
}

/* HIDE RADIO */
[type=radio] { 
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

/* IMAGE STYLES */
[type=radio] + img {
  cursor: pointer;
}

/* CHECKED STYLES */

#profile-information{
  text-align: center;
  width: 30%;
  display: flex;
  align-items: center;
  justify-content: end;
  margin-right: 15px;
  gap: 10px;
}

[type=radio]:checked + img {
  outline: 2px solid rgb(41, 4, 247);
}

#loginButton{
  margin: 10px;
  margin-top: 30px;
  float: right;

}

#welcome-text{
  font-size: 50px;

}

.welcome{
  text-align: center;
  padding: 30px;

}


/* Comment section */

.comment-div {
  padding: 10px;
  border-top: 1px solid lightgrey;
  border-bottom: 1px solid lightgrey;
  z-index: 2;
  grid-column: 2;
  grid-row: 2;
  background-color: white;
}
.gerrit-comment-div {
  padding: 10px;
  border-top: 1px solid lightgrey;
  border-bottom: 1px solid lightgrey;
  z-index: 2;
  grid-column: 2;
  grid-row: 2;
  background-color: lightyellow;
}

#PR-comment-div--1{
  border-top:5px solid lightgrey;
  border-bottom:5px solid lightgrey;
  
  border-radius: 5px;
}

.maximize{
  display: flex;
  flex-direction: row;
}

.minimize{
  margin-bottom: 10px;

}

.change-comment-size-button{
  padding: 0px;
  align-self: flex-start;
  background-color: #f1f1f1;

}

.change-comment-size-icon{
  width: 15px;
  height: 15px;
  margin: 5px;

}

.show-all-comments{
  margin: 0px 0px 0px 10px;
  font-size: 15px;
  color:#00000094;
}

.comment-div-posted-section {

}

.comment-div-add-section {
  display: flex;
  flex-flow: column;
}

.comment-div-write-section {
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
}

.comment-div-write-section textarea {
  width: 90%;
}

.user-comment-icon {
  width: 10%;
  margin: 10%;
}

.button.submit-comment{
  margin: 5px;
  width: 20%;
  z-index: 2;
}

.cancel-button.cancel-comment {
  margin: 5px;
  width: 20%;
}

.comment-div-btn-section {
  display: flex;
  flex-flow: row;
  justify-content: end;
}

.posted-comment-div {
  /*border-top: 1px solid lightgrey;
  border-bottom: 1px solid lightgrey;*/
  border: 1px solid lightgrey;
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
}

.posted-comment-user-info {
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  align-items: center;
}

.posted-comment-content{
  padding: 3px;
  margin-left: 45px;
}

/* Progress view */

#comparisonList{
  width: 94%;
  padding: 0px;
}

#progress-view-card{
  width: 94%;

}

#compareButton{
  margin-top: 10px;
}

/* The switch */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}
.switch-view {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}


/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
} 

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.switch-div{
  margin-bottom: 15px;
  margin-right: 15px;
  width: 20%;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 10px;
}

#switch-view-div{
  display: flex;
  justify-content: flex-end;
  margin-bottom: 15px;
  margin-right: 15px;
  width: 95%;
  /* gap: 10px; */
}

/* #code-view-div{
  position: relative;
} */

#getPullRequestView, #getChangesView {
  display: none;
}

/* Gerrit-mode styling */

#change-view-card, #change-overview-card{
  width: 95%;
}

#changes, #files {
  width: 100%;
  border-collapse: collapse;
}

#changes-header, #files-header, #overview-header {
  padding-top: 0;
  margin-left: 13px;
}

td {
  padding: 10px 15px;
  text-align: left;
  font-weight: 500;
}

.table-header {
  font-weight: 500;
  border-bottom: 1px solid #ccc;
}

tbody tr {
  border-bottom: 1px solid #ccc;
}

tbody tr:hover {
  background-color: #f1f1f1;
}

.change-title, .file-title {
  cursor: pointer;
  text-decoration: none;
}

.change-title {
  font-weight: bold;
}

.change-title:hover, .file-title:hover {
  text-decoration: underline;
}

.container-navigation {
  display: flex;
  position: sticky;
  top: 8vh;
  margin-top: 0px;
  width: 100%;
  z-index: 4;
}

.navigation {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 0px;
  border-top: 1px solid #ccc;
  width: 100%;
  padding: 8px;
  background-color: #f1f1f1;
}

.navigation-button {
  padding: 1vh 2vh;
}

#aoi-commit-msg {
  display: block;
  white-space: pre-wrap;
  margin: 0px;
  font-size: 15px !important;
}

#loading-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 1); /* Semi-transparent black */
  z-index: 9;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none; /* Prevent blocking underlying elements if necessary */
}

#loading-overlay .loading-text {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: black;
  font-size: 24px;
  display: flex;
  align-items: center;
}